summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <mvath@google.com>2019-02-16 15:08:03 +0100
committerMartin Väth <mvath@google.com>2019-02-16 15:08:03 +0100
commit3eb42ba9af1b41ff3e96ac7e6cf565fd542a2fc8 (patch)
tree32f2b8a463fd8a6323aba0f7c508c81a6b24c121 /media-tv
parentsys-boot/grub-cfg-mv: Version bump (diff)
downloadmv-3eb42ba9af1b41ff3e96ac7e6cf565fd542a2fc8.tar.gz
mv-3eb42ba9af1b41ff3e96ac7e6cf565fd542a2fc8.tar.bz2
mv-3eb42ba9af1b41ff3e96ac7e6cf565fd542a2fc8.zip
media-tv/sundtek-tv: Make pulseaudio optional
Signed-off-by: Martin Väth <mvath@google.com>
Diffstat (limited to 'media-tv')
-rw-r--r--media-tv/sundtek-tv/sundtek-tv-181220.135032.ebuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/media-tv/sundtek-tv/sundtek-tv-181220.135032.ebuild b/media-tv/sundtek-tv/sundtek-tv-181220.135032.ebuild
index 8ce8d456..71385b15 100644
--- a/media-tv/sundtek-tv/sundtek-tv-181220.135032.ebuild
+++ b/media-tv/sundtek-tv/sundtek-tv-181220.135032.ebuild
@@ -16,8 +16,9 @@ RESTRICT="binchecks mirror strip"
LICENSE="sundtek"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="ld-preload-env +ld-preload-file pax_kernel"
-RDEPEND="!<sys-apps/openrc-0.13"
+IUSE="ld-preload-env +ld-preload-file pax_kernel pulseaudio"
+RDEPEND="!<sys-apps/openrc-0.13
+pulseaudio? ( media-sound/pulseaudio )"
BDEPEND="pax_kernel? ( || ( sys-apps/elfix sys-apps/paxctl ) )"
DISABLE_AUTOFORMATTING="true"
@@ -85,6 +86,7 @@ src_prepare() {
mv opt 1 || die
mkdir -p ${myusr} "${mybinprefix}" lib "${mypkgconfig}" "${mylirc}" \
1/lib/pm-utils || die
+ use pulseaudio || rm 1/bin/audio/libpulse.so || die
mv 1/bin "${mybinprefix}" || die
${keep_original} || mv 1/lib/pm 1/lib/pm-utils/sleep.d || die
mv 1/lib "${mylibdir}" || die